summary refs log tree commit diff
path: root/www/git.causal.agency
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2021-01-15 15:20:49 -0500
committerJune McEnroe <june@causal.agency>2021-01-15 15:20:49 -0500
commit286704ba7dbc99995f83a645b51fed5b32b73836 (patch)
tree25039288973a7772a96377d08410b7b2fcf6ac7d /www/git.causal.agency
parentSimplyify htagml match output (diff)
downloadsrc-286704ba7dbc99995f83a645b51fed5b32b73836.tar.gz
src-286704ba7dbc99995f83a645b51fed5b32b73836.zip
Use a temp directory in source-filter to preserve name
Otherwise ctags can't figure out if the input is a lex or yacc file.
Diffstat (limited to 'www/git.causal.agency')
-rw-r--r--www/git.causal.agency/source-filter.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/www/git.causal.agency/source-filter.sh b/www/git.causal.agency/source-filter.sh
index 924744bd..9f150e78 100644
--- a/www/git.causal.agency/source-filter.sh
+++ b/www/git.causal.agency/source-filter.sh
@@ -7,12 +7,12 @@ htagml=/usr/local/libexec/htagml
 
 case "$1" in
 	(*.[chlmy])
-		src=$(mktemp -t source-filter)
-		tag=$(mktemp -t source-filter)
-		trap 'rm -f "${src}" "${tag}"' EXIT
-		cat >"${src}"
-		$ctags -w -f "${tag}" "${src}"
-		$hilex -n "$1" -f html "${src}" | $htagml -i -f "${tag}" "${src}"
+		tmp=$(mktemp -d -t source-filter)
+		trap 'rm -fr "${tmp}"' EXIT
+		cd "${tmp}"
+		cat >"$1"
+		$ctags -w "$1"
+		$hilex -f html "$1" | $htagml -i "$1"
 		;;
 	(*)
 		exec $hilex -t -n "$1" -f html